namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
	using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
	using Eco.Gameplay.Objects;
    
    [Serialized]
    [Weight(400)]                                          
    public partial class CakeItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Cake"); } }
        public override LocString DisplayDescription              { get { return Localizer.DoStr("A cake topped with Huckleberries and Pears."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 36, Fat = 9, Protein = 2, Vitamins = 3};
        public override float Calories                          { get { return 950; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(LeavenedBakingSkill), 3)]    
    public partial class CakeRecipe : Recipe
    {
        public CakeRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<CakeItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FlourItem>(typeof(LeavenedBakingEfficiencySkill), 30, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<SugarItem>(typeof(LeavenedBakingEfficiencySkill), 15, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<HuckleberriesItem>(typeof(LeavenedBakingEfficiencySkill), 20, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<PricklyPearFruitItem>(typeof(LeavenedBakingEfficiencySkill), 5, LeavenedBakingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(CakeRecipe), Item.Get<CakeItem>().UILink(), 12, typeof(LeavenedBakingSpeedSkill)); 
            this.Initialize(Localizer.DoStr("Cake"), typeof(CakeRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}