namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
	using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
	using Eco.Gameplay.Objects;
    
    [Serialized]
    [Weight(300)]                                          
    public partial class PizzaSupremeItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Pizza Supreme"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A pizza with a little bit of everything."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 10, Fat = 17, Protein = 5, Vitamins = 2};
        public override float Calories                          { get { return 700; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(BasicBakingSkill), 2)]    
    public partial class PizzaSupremeRecipe : Recipe
    {
        public PizzaSupremeRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<PizzaSupremeItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FlourItem>(typeof(BasicBakingEfficiencySkill), 25, BasicBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<TomatoItem>(typeof(BasicBakingEfficiencySkill), 20, BasicBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<ScrapMeatItem>(typeof(BasicBakingEfficiencySkill), 5, BasicBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<RawMeatItem>(typeof(BasicBakingEfficiencySkill), 5, BasicBakingEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<CriminiMushroomsItem>(typeof(BasicBakingEfficiencySkill), 10, BasicBakingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(PizzaSupremeRecipe), Item.Get<PizzaSupremeItem>().UILink(), 8, typeof(BasicBakingSpeedSkill)); 
            this.Initialize(Localizer.DoStr("Pizza Supreme"), typeof(PizzaSupremeRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}